:- make(_,_).

:- use_package(fsyntax).
:- use_package(assertions).
:- use_module(library('make/system_extra')).
:- use_module(library(terms),[atom_concat/2]).
:- discontiguous comment/2.

docmake := gmake.

install <- :-
	cd('doc/manuals'),
	do([~docmake, ' install'],nofail).

comment(install,'Installation of manuals.').

fullinstall <- :-
	cd('doc/manuals'),
	do([~docmake, ' htmlindex infoindex all install'],nofail),
	cd('../readmes'),
 	do([~docmake, ' force'],nofail).

comment(fullinstall,'Generation and installation of manuals.').

uninstall <- :-
	cd('doc/manuals'),
	do([~docmake, ' uninstall'],nofail).

comment(uninstall,'Uninstallation of manuals.').

srcclean <- :-
	delete_files(~ls('*.asr|*.itf|*.po')).

comment(srcclean,'Cleanup of temporary files in source.').

clean <- [srcclean] :-
	cd('doc/manuals'),
	do([~docmake, ' clean'],nofail).

comment(clean,'Cleanup of code and manuals source.').

realclean <- [srcclean] :-
	cd('doc/manuals'),
	do([~docmake, ' realclean'],nofail).

comment(realclean,'Cleanup of all intermediate files.').

braveclean <- [srcclean] :-
	cd('doc/manuals'),
	do([~docmake, ' braveclean'],nofail).

comment(braveclean,'Cleanup of all generated files.').

%----------------------------------------------------------------------

target_comment(Target) :- 
	comment(Target,Comment),
	display(
'*** ---------------------------------------------------------------------\n'),
        display(~atom_concat(['*** ',Comment,'\n'])),
	display(
'*** ---------------------------------------------------------------------\n').

%----------------------------------------------------------------------
:- comment(version_maintenance,dir(version)).

:- comment(version(0*4+56,2004/02/29,10:13*30+'CET'), "Minor mods.
   (Manuel Hermenegildo)").

:- comment(version(0*4+50,2002/12/16,20:32*33+'CET'), "Moved makefile
   to lpmake.  (Manuel Hermenegildo)").
%----------------------------------------------------------------------

